import { Dispatch, PropsWithChildren, SetStateAction } from 'react';
import { DataTypeSingle } from '../types/types';
export type FormContextType = {
    name: string;
    data: object;
    updateField?: (field: string, value: unknown) => void;
    getFieldValue: (field: string) => DataTypeSingle;
    getData: () => object;
    setData?: Dispatch<SetStateAction<object>>;
};
export declare const FormContext: import("react").Context<FormContextType>;
export interface Props<DataType> extends PropsWithChildren {
    name: string;
    getData: () => DataType;
    getFieldValue: (field: string) => DataTypeSingle;
    updateField: (field: string, value: never) => void;
    data: Partial<DataType>;
    setData: Dispatch<SetStateAction<DataType>>;
}
declare const Provider: <DataType extends object>({ children, name, getData, updateField, getFieldValue, data, setData, }: Props<DataType>) => import("react/jsx-runtime").JSX.Element;
export default Provider;
